summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Branko Grubic2011-05-07 20:39:48 +0200
committer Robby Workman2011-05-07 20:39:48 +0200
commit21e8751e688c4c1ee4a97488eabcc6b8695e2301 (patch)
tree991682ae7c06e3920e609b56f549bee53f844ea1 /desktop
parent4fc1bd1b48f1e8ab21a883208f0e3a5f388b08f4 (diff)
downloadslackbuilds-21e8751e688c4c1ee4a97488eabcc6b8695e2301.tar.gz
desktop/oxygen-gtk: Added (gtk port of KDE's oxygen widget theme)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/oxygen-gtk/README13
-rw-r--r--desktop/oxygen-gtk/oxygen-gtk.SlackBuild74
-rw-r--r--desktop/oxygen-gtk/oxygen-gtk.info10
-rw-r--r--desktop/oxygen-gtk/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/desktop/oxygen-gtk/README b/desktop/oxygen-gtk/README
new file mode 100644
index 0000000000..8c45ef8385
--- /dev/null
+++ b/desktop/oxygen-gtk/README
@@ -0,0 +1,13 @@
+Oxygen-Gtk is a port of the default KDE widget theme (Oxygen) to gtk.
+
+Its primary goal is to ensure visual consistency between gtk and
+qt-based applications running under kde. A secondary objective is
+to also have a stand-alone nice looking gtk theme that would
+behave well on other Desktop Environments.
+
+Unlike other attempts made to port the kde oxygen theme to gtk,
+this attempt does not depend on Qt (via some Qt to Gtk conversion engine),
+nor does render the widget appearance via hard coded pixmaps,
+which otherwise breaks everytime some setting is changed in kde.
+
+EXAMPLE_USAGE: ln -s /usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc ~/.gtkrc-2.0
diff --git a/desktop/oxygen-gtk/oxygen-gtk.SlackBuild b/desktop/oxygen-gtk/oxygen-gtk.SlackBuild
new file mode 100644
index 0000000000..e94a1edada
--- /dev/null
+++ b/desktop/oxygen-gtk/oxygen-gtk.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for "oxygen-gtk"
+
+# Written by Branko Grubic <branko.grubic@gmail.com>
+
+PRGNAM=oxygen-gtk
+VERSION=${VERSION:-1.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/oxygen-gtk/oxygen-gtk.info b/desktop/oxygen-gtk/oxygen-gtk.info
new file mode 100644
index 0000000000..23460362ad
--- /dev/null
+++ b/desktop/oxygen-gtk/oxygen-gtk.info
@@ -0,0 +1,10 @@
+PRGNAM="oxygen-gtk"
+VERSION="1.0.4"
+HOMEPAGE="http://kde-look.org/content/show.php/?content=136216"
+DOWNLOAD="ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk/1.0.4/src/oxygen-gtk-1.0.4.tar.bz2"
+MD5SUM="0aed63523f8abe79860e6b934a9d6210"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Branko Grubic"
+EMAIL="branko.grubic@gmail.com"
+APPROVED="rworkman"
diff --git a/desktop/oxygen-gtk/slack-desc b/desktop/oxygen-gtk/slack-desc
new file mode 100644
index 0000000000..3451dfd491
--- /dev/null
+++ b/desktop/oxygen-gtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+oxygen-gtk: oxygen-gtk (gtk port of KDE's oxygen widget theme)
+oxygen-gtk:
+oxygen-gtk: Oxygen-Gtk is a port of the default KDE widget theme (Oxygen),
+oxygen-gtk: to gtk. Its primary goal is to ensure visual consistency between
+oxygen-gtk: gtk and qt based applications running under kde.
+oxygen-gtk:
+oxygen-gtk: A secondary objective is to also have a stand-alone nice looking
+oxygen-gtk: gtk theme that would behave well on other Desktop Environments.
+oxygen-gtk:
+oxygen-gtk: Homepage: http://kde-look.org/content/show.php/?content=136216
+oxygen-gtk: